Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"folder_id": "a3740204-726f-4547-b0f8-8831a5147207",
"page": 1,
"per_page": 20
}
response = client.folders.get_agents(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/folder/a3740204-726f-4547-b0f8-8831a5147207/agents \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"page": 1,
"per_page": 20
}'{
"success": true,
"agents": [
{
"_id": "69c228835c764b0c5ef71944",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Acme Dental Clinic - AI Receptionist",
"company_name": "",
"vapi_assistant_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
"voice_id": "EXAVITQu4vr4xnSDxMaL",
"speed": "1",
"bg_noice": "false",
"status": "active",
"created_at": {
"$date": "2026-03-24T06:00:35.877Z"
},
"first_message": "Thank you for calling Acme Dental Clinic! This is Emma. How can I help you today?",
"industry_id": "Healthcare",
"usecase_id": "Inbound Receptionist",
"type": "inbound",
"first_message_url": "https://static.pathora.in/plivo/EXAVITQu4vr4xnSDxMaL_3348c28e-a2a7-4e3f-8282-5feff0264674.mp3",
"call_forwarding": null,
"knowledge_base": null,
"composio_app": {}
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 20,
"total_pages": 1
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Folders
List folder agents
Lists agents assigned to a folder.
POST
/
folder
/
{folder_id}
/
agents
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
payload = {
"folder_id": "a3740204-726f-4547-b0f8-8831a5147207",
"page": 1,
"per_page": 20
}
response = client.folders.get_agents(**payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/folder/a3740204-726f-4547-b0f8-8831a5147207/agents \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"page": 1,
"per_page": 20
}'{
"success": true,
"agents": [
{
"_id": "69c228835c764b0c5ef71944",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
"name": "Acme Dental Clinic - AI Receptionist",
"company_name": "",
"vapi_assistant_id": "04cf74f7-019b-4c3d-883c-610a42b32bc4",
"voice_id": "EXAVITQu4vr4xnSDxMaL",
"speed": "1",
"bg_noice": "false",
"status": "active",
"created_at": {
"$date": "2026-03-24T06:00:35.877Z"
},
"first_message": "Thank you for calling Acme Dental Clinic! This is Emma. How can I help you today?",
"industry_id": "Healthcare",
"usecase_id": "Inbound Receptionist",
"type": "inbound",
"first_message_url": "https://static.pathora.in/plivo/EXAVITQu4vr4xnSDxMaL_3348c28e-a2a7-4e3f-8282-5feff0264674.mp3",
"call_forwarding": null,
"knowledge_base": null,
"composio_app": {}
}
],
"pagination": {
"total": 1,
"page": 1,
"per_page": 20,
"total_pages": 1
}
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Path Parameters
Folder ID
Example:
"a3740204-726f-4547-b0f8-8831a5147207"
Body
application/json
Request body for List folder agents.
Response
Folder agents returned

